Main Page Widgets Namespaces Book

# Simple XML Subset Parser

## Detailed Description

The Glib::Markup parser is intended to parse a simple markup format that's a subset of XML.

This is a small, efficient, easy-to-use parser. It should not be used if you expect to interoperate with other applications generating full-scale XML. However, it's very useful for application data files, config files, etc. where you know your application will be the only one writing the file. Full-scale XML parsers should be able to parse the subset used by Glib::Markup parser, so you can easily migrate to full-scale XML at a later time if the need arises.

Glib::Markup is not guaranteed to signal an error on all invalid XML; the parser may accept documents that an XML parser would not. However, invalid XML documents are not considered valid Glib::Markup documents.

Simplifications to XML include:

- Only UTF-8 encoding is allowed.
- No user-defined entities.
- Processing instructions, comments and the doctype declaration are "passed through" but are not interpreted in any way.
- No DTD or validation.

The markup format does support:

- Elements
- Attributes
- 5 standard entities: `&amp; &lt; &gt; &quot; &apos;`
- Character references
- Sections marked as `CDATA`

## Classes

class | AttributeKeyLess
| Binary predicate used by Markup::Parser::AttributeMap. More...
class | MarkupError
| Exception class for markup parsing errors. More...
class | ParseContext
| A parse context is used to parse marked-up documents. More...
class | Parser
| The abstract markup parser base class. More...

## Typedefs

typedef Glib::MarkupError | Glib::Markup::Error

## Functions

Glib::ustring | Glib::Markup::escape_text (const Glib::ustring& text)
| Escapes text so that the markup parser will parse it verbatim.

## Typedef Documentation

typedef Glib::MarkupError Glib::Markup::Error

## Function Documentation

Glib::ustring escape_text | ( | const Glib::ustring& | text | ) |

Escapes text so that the markup parser will parse it verbatim.

Less than, greater than, ampersand, etc. are replaced with the corresponding entities. This function would typically be used when writing out a file to be parsed with the markup parser.

Parameters:

  text | Some valid UTF-8 text.

Returns:
  Escaped text.